#ifndef INTERRUPT_H
#define INTERRUPT_H

#include "types.h"

// PIT相关定义
#define PIT_CHANNEL_0_PORT 0x40
#define PIT_COMMAND_PORT 0x43
#define PIT_FREQUENCY 1193180 // PIT输入时钟频率
#define TIMER_FREQ 100 // 目标频率(Hz)
#define TIMER_DIVISOR (PIT_FREQUENCY / TIMER_FREQ)

// PIC相关定义
#define PIC1_COMMAND 0x20
#define PIC1_DATA 0x21
#define PIC2_COMMAND 0xA0
#define PIC2_DATA 0xA1

// IRQ定义
#define IRQ0 32 // Timer IRQ
#define IRQ1 33 // Keyboard IRQ

// 函数声明
void init_interrupts(void);
void enable_interrupts(void);
void disable_interrupts(void);

#endif