#ifndef STRING_H
#define STRING_H

#include "types.h"   // 包含通用类型定义

// 字符串操作函数原型

size_t strlen(const char *str);           // 计算字符串的长度
int strcmp(const char *str1, const char *str2);  // 比较两个字符串
int strncmp(const char *s1, const char *s2, size_t n); // 比较两个字符串的前n个字符
char *strcpy(char *dest, const char *src);  // 将一个字符串复制到另一个字符串
char *strcat(char *dest, const char *src);  // 将两个字符串连接起来
void itoa(int num, char *str, int base);   // 将整数转换为字符串（支持指定进制）
int atoi(const char *str);                 // 将字符串转换为整数
void reverse(char *str, size_t length);    // 翻转字符串
void *memset(void *ptr, int value, size_t num); // 将内存区域设置为指定的值

#endif // STRING_H
