#ifndef UTILS_H
#define UTILS_H

#include "types.h"   // 包含通用类型定义

#define LOG_BUFFER_SIZE 4096  // 日志缓冲区大小（4 KB）

// 工具函数声明
void log_message(const char *msg);          // 将消息记录到屏幕
int abs_value(int num);                     // 获取整数的绝对值
unsigned int power(unsigned int base, unsigned int exp);  // 计算幂：base^exp
void swap(int *a, int *b);                  // 交换两个整数的值
void delay(int count);                      // 简单的延迟函数
void itoa(int num, char *str, int base);    // 将整数转换为字符串（支持指定进制）
void itoa_hex(int num, char *str);          // 将整数转换为十六进制字符串
unsigned int hex_to_int(const char *hex_str); // 将十六进制字符串转换为整数
int eval_expression(const char *expr);     // 解析并计算表达式的值
int ffs_custom(uint64_t x);                 // 查找二进制数中第一个为1的位的位置（自定义实现）
int max(int x, int y);                      // 返回两个整数中的较大值
int min(int x, int y);                      // 返回两个整数中的较小值

#endif // UTILS_H
