#ifndef VIDEO_H
#define VIDEO_H

#include "types.h"   // 包含通用类型定义

// 屏幕尺寸定义
#define SCREEN_WIDTH 80   // 屏幕宽度为80列
#define SCREEN_HEIGHT 25  // 屏幕高度为25行
#define VIDEO_MEMORY (volatile unsigned char*) 0xB8000  // 视频内存起始地址

// 字符属性（例如颜色）
#define WHITE_ON_BLACK 0x07   // 白色字符，黑色背景

// 函数声明
void print_char(char c);                            // 在屏幕上打印单个字符
void print_string(const char *str);                // 在屏幕上打印字符串
void clear_screen(void);                           // 清空屏幕内容
void set_cursor_position(unsigned int x, unsigned int y); // 设置光标位置

#endif // VIDEO_H
